<?
require("../conectar.php");
$fechaini="2013-07-01";//$_POST["fechaini"];
$fechafin="2013-07-31";//$_POST["fechafin"];
$numdedias=strtotime($fechafin)-strtotime($fechaini);
$numdedias=$numdedias/60/60/24+1; 
$ocupacion=array();
//ocupacion
      				?><html><body><head><title>Reporte de ocupacion</title></head><center><table border="1"><?
						$sql="SELECT d.id_departamento,d.id_complejo,d.clave,com.nombre from departamentos as d INNER JOIN complejo as com on com.id_complejo=d.id_complejo order by d.id_departamento ";
						$qw=mysql_query($sql);		
						while($qq=mysql_fetch_array($qw))
						{
						$t++;
						$departamento=$qq["id_departamento"];
						$complejo=$qq["nombre"];
						if($memoria!=$complejo){$t=1;$memoria=$complejo;}
						if($t==1){ $memoria=$complejo; ?><tr><td colspan="3" align="center"><?echo$complejo."numre $numdedias";?></td></tr> <tr><td>Departamento</td><td>Dias Ocupados</td><td>% de Ocupaci&oacute;n<td></tr><?}
						$clave=$qq["clave"];
						$libre=0;
						$fecha=$fechaini;
						while (strtotime($fecha)<=strtotime($fechafin))
						{  
						$sql="SELECT dia_salida FROM conceptos WHERE  status_renta IN ('ANTICIPO','PAGADO') and ('$fecha' BETWEEN dia_inicio and dia_salida) AND id_departamento='$departamento'";
						$e=mysql_query($sql);
		                $a=mysql_fetch_array($e);
						$q=mysql_num_rows($e);
						if($q<1)
						{
							$libre++;
							$nuevafecha = strtotime ( '+1 day' , strtotime ( $fecha ) ) ;
							$fecha = date ( 'Y-m-j' , $nuevafecha );
						}
						else{
							$fecha=$a["dia_salida"];
							$nuevafecha = strtotime ( '+1 day' , strtotime ( $fecha ) ) ;
							$fecha = date ( 'Y-m-j' , $nuevafecha );
                            }
						list($anio,$mes,$dia)=explode("-",$fecha);
						if($dia<10){$dia="0".$dia; $fecha=$anio."-".$mes."-".$dia;}
						}
						$ocupado=$numdedias-$libre;
						$por=(($ocupado)*100)/$numdedias;
						echo"<tr><td>$clave</td><td> $ocupado</td><td>$por%</td></tr>";
						}?><tr><td colspan="2">&acute;</td></tr><?
						?>
						
						</table></center>
						</body></html>